osl::move_probability::MoveFromOpposingSliders Class Reference

`#include <feature.h>`

Inheritance diagram for osl::move_probability::MoveFromOpposingSliders:

## Public Member Functions

| MoveFromOpposingSliders ()
double | match (const StateInfo &state, const MoveInfo &move, int offset, const double *w) const
Public Member Functions inherited from osl::move_probability::Feature
| Feature (std::string n, size_t d)
virtual | ~Feature ()
std::string | name () const
size_t | dimension () const

## Static Public Member Functions

static int | longPtype (const NumEffectState &state, Square position, Player player)
Static Public Member Functions inherited from osl::move_probability::Feature
static int | classifyEffect9 (const NumEffectState &state, Player player, Square to)

## Detailed Description

Definition at line 561 of file move_probability/feature.h.

## Constructor & Destructor Documentation

## MoveFromOpposingSliders()

osl::move_probability::MoveFromOpposingSliders::MoveFromOpposingSliders | ( |  | ) |

inline

Definition at line 564 of file move_probability/feature.h.

References osl::move_probability::Feature::Feature(), and osl::PTYPE_SIZE.

## Member Function Documentation

## longPtype()

int osl::move_probability::MoveFromOpposingSliders::longPtype | ( | const NumEffectState & | state,
|  | Square | position,
|  | Player | player )

inline static

Definition at line 567 of file move_probability/feature.h.

References osl::misc::GeneralMask< Integer >::any(), osl::BISHOP, osl::NumEffectState::hasEffectAt(), osl::LANCE, osl::NumEffectState::longEffectAt(), osl::SimpleState::pieceOf(), osl::ROOK, osl::Piece::square(), and osl::misc::GeneralMask< Integer >::takeOneBit().

Referenced by match().

## match()

double osl::move_probability::MoveFromOpposingSliders::match | ( | const StateInfo & | state,
|  | const MoveInfo & | move,
|  | int | offset,
|  | const double * | w ) const

inline virtual

Implements osl::move_probability::Feature.

Definition at line 580 of file move_probability/feature.h.

References osl::alt(), osl::Move::from(), osl::Square::isPieceStand(), longPtype(), osl::move_probability::MoveInfo::move, osl::SimpleState::pieceOnBoard(), osl::move_probability::StateInfo::pinByOpposingSliders(), osl::move_probability::MoveInfo::player, osl::Move::ptype(), osl::PTYPE_SIZE, and osl::move_probability::StateInfo::state.

The documentation for this class was generated from the following file:

- move_probability/feature.h